Package org.eclipse.lemminx.services.format

## Class XMLFormattingConstraints

- java.lang.Object
- - org.eclipse.lemminx.services.format.XMLFormattingConstraints

    public class XMLFormattingConstraints
    extends Object

XML formatting constraints.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLFormattingConstraints()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyConstraints​(XMLFormattingConstraints constraints)` Initializes the values in this formatting constraint with values from constraints
`int` `getAvailableLineWidth()`
`FormatElementCategory` `getFormatElementCategory()`
`int` `getIndentLevel()`
`int` `getMixedContentIndentLevel()`
`void` `setAvailableLineWidth​(int availableLineWidth)`
`void` `setFormatElementCategory​(FormatElementCategory formatElementCategory)`
`void` `setIndentLevel​(int indentLevel)`
`void` `setMixedContentIndentLevel​(int mixedContentIndentLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFormattingConstraints

    public XMLFormattingConstraints()

### Method Detail

#### copyConstraints

    public void copyConstraints​(XMLFormattingConstraints constraints)

Initializes the values in this formatting constraint with values from constraints

Parameters:
  `constraints` - cannot be null

#### getFormatElementCategory

    public FormatElementCategory getFormatElementCategory()

#### setFormatElementCategory

    public void setFormatElementCategory​(FormatElementCategory formatElementCategory)

#### getAvailableLineWidth

    public int getAvailableLineWidth()

#### setAvailableLineWidth

    public void setAvailableLineWidth​(int availableLineWidth)

#### getIndentLevel

    public int getIndentLevel()

#### setIndentLevel

    public void setIndentLevel​(int indentLevel)

#### getMixedContentIndentLevel

    public int getMixedContentIndentLevel()

#### setMixedContentIndentLevel

    public void setMixedContentIndentLevel​(int mixedContentIndentLevel)